Create a User
Create a user.
- USER_CREATE_START
- USER_CREATE_SUCCESS
- USER_CREATE_FAIL
Roles
bearerAuthAuthorizationBearer <token>Create a User
application/json- body
claims?User claims to be persisted. No claims are persisted by default. Consider PII implications before persisting any claims.
claimSets?User claims to be persisted per claim set, keyed by credential configuration identifier and then by claim set identifier. No claim sets are persisted by default. Consider PII implications before persisting any claims.
When updating a user, providing this property replaces the user's existing claim sets. Omitting it leaves them unchanged.
Claim set identifiers are offered as an open beta preview feature and are not generally available yet. They are available on all tenants, and their behavior may change in a way that breaks existing integrations before they become generally available.
authenticationProvider?Authentication Provider information for the user. This enables linking the user to an external identity provider. If implemented insecurely, this process can be exploited by malicious actors to gain unauthorized access to legitimate user accounts.
To mitigate this risk, require authentication for both accounts involved in the link, whether the link is created manually or automatically. Always prompt the user to enter credentials to verify ownership before establishing the link.
User created
application/json- response
id?stringUser unique identifier.
uuidclaims?User claims.
claimSets?User claims persisted per claim set, keyed by credential configuration identifier and then by claim set identifier. Only present when claim sets are persisted for this user.
Claim set identifiers are offered as an open beta preview feature and are not generally available yet. They are available on all tenants, and their behavior may change in a way that breaks existing integrations before they become generally available.
authenticationProvider?Authentication Provider information for the user.
curl -X POST "https://example.com/v1/users" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba", "claims": { "externalUserId": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba" }, "claimSets": { "707e920a-f342-443b-ae24-6946b7b5033e": { "claim-set-id-1": { "givenName": "Alice" }, "claim-set-id-2": { "givenName": "Bob" } } }, "authenticationProvider": { "providerId": "41458e5a-9092-40b7-9a26-d4eb43c5792f", "url": "https://example-university.au.auth0.com", "subjectId": "example-university-oauth2|123456789" }}How would you rate this page?